<?php

define('IN_CP', 1);
define('ROOT_PATH', './../');
require('admin_global.php');

if ( $action == "") {
  $action = "modifysettings";
}

function show_annotation_v_positioning_select($setting_name, $setting_value) {
  global $annotation_v_positioning_optionlist;
  echo "<select name=\"setting_item[".$setting_name."]\">";
  foreach ($annotation_v_positioning_optionlist as $key => $val) {
    echo "<option value=\"$key\"";
    if ($setting_value == $key) {
      echo " selected=\"selected\"";
    }
    echo ">".$val."</option>";
  }
  echo "</select>";
}

function show_annotation_h_positioning_select($setting_name, $setting_value) {
  global $annotation_h_positioning_optionlist;
  echo "<select name=\"setting_item[".$setting_name."]\">";
  foreach ($annotation_h_positioning_optionlist as $key => $val) {
    echo "<option value=\"$key\"";
    if ($setting_value == $key) {
      echo " selected=\"selected\"";
    }
    echo ">".$val."</option>";
  }
  echo "</select>";
}

function show_annotation_mode_select($setting_name, $setting_value) {
  global $annotation_mode_optionlist;
  echo "<select name=\"setting_item[".$setting_name."]\">";
  foreach ($annotation_mode_optionlist as $key => $val) {
    echo "<option value=\"$key\"";
    if ($setting_value == $key) {
      echo " selected=\"selected\"";
    }
    echo ">".$val."</option>";
  }
  echo "</select>";
}

function show_annotation_fill_alpha_select($setting_name, $setting_value) {
  global $annotation_fill_alpha_optionlist;
  echo "<select name=\"setting_item[".$setting_name."]\">";
  foreach ($annotation_fill_alpha_optionlist as $key => $val) {
    echo "<option value=\"$key\"";
    if ($setting_value == $key) {
      echo " selected=\"selected\"";
    }
    echo ">".$val."</option>";
  }
  echo "</select>";
}

function show_annotation_shadow_alpha_select($setting_name, $setting_value) {
  global $annotation_shadow_alpha_optionlist;
  echo "<select name=\"setting_item[".$setting_name."]\">";
  foreach ($annotation_shadow_alpha_optionlist as $key => $val) {
    echo "<option value=\"$key\"";
    if ($setting_value == $key) {
      echo " selected=\"selected\"";
    }
    echo ">".$val."</option>";
  }
  echo "</select>";
}

function show_setting_row($setting_name, $value_option = "", $htmlspecialchars = 0) {
  global $config, $setting;
  $config_value = ($htmlspecialchars) ? htmlspecialchars($config[$setting_name]) : $config[$setting_name];
  $setting[$setting_name] = replace_url($setting[$setting_name]);
  if ($value_option == "") {
    show_input_row($setting[$setting_name], "setting_item[".$setting_name."]", $config_value);
  }
  elseif ($value_option == "textarea") {
    show_textarea_row($setting[$setting_name], "setting_item[".$setting_name."]", $config_value, "", 6);
  }
  elseif ($value_option == "radio") {
    show_radio_row($setting[$setting_name], "setting_item[".$setting_name."]", $config_value);
  }
  else {
    echo "<tr class=\"".get_row_bg()."\">\n<td valign=\"top\"><p class=\"rowtitle\">".$setting[$setting_name]."</p></td>\n";
    echo "<td><p>";
    $value_option($setting_name, $config_value);
    echo "</p></td>\n</tr>\n";
  }
}

// end of functions

show_admin_header();

if ($action == "updatesettings") {
  $setting_item = $HTTP_POST_VARS['setting_item'];
  foreach ($setting_item as $key => $val) {
    $val = un_htmlspecialchars(trim($val));
    $sql = "UPDATE ".SETTINGS_TABLE."
            SET setting_value = '$val'
            WHERE setting_name = '$key'";
    $site_db->query($sql);

  }
  if ($HTTP_POST_VARS['setting_item']['language_dir'] != $config['language_dir']) {
?>
    <script language="javascript">
    <!--
    top.head.location = '<?php echo $site_sess->url(ROOT_PATH."admin/index.php?action=head"); ?>';
    top.nav.location = '<?php echo $site_sess->url(ROOT_PATH."admin/index.php?action=nav"); ?>';
    top.main.location = '<?php echo $site_sess->url(ROOT_PATH."admin/ann_settings.php?action=modifysettings&settings_msg=".urlencode($lang['save_settings_success'])); ?>';
    // -->
    </script>
<?php
    printf("<b>%s</b><p>", $lang['save_settings_success']);
    show_admin_footer();
  }
  else {
    $msg = sprintf("<b>%s</b><p>", $lang['save_settings_success']);
    $action = "modifysettings";
  }
}

if ($action == "modifysettings") {
  if (isset($HTTP_GET_VARS['settings_msg'])) {
    printf("<b>%s</b><p>", urldecode($HTTP_GET_VARS['settings_msg']));
  }
  elseif (!empty($msg)) {
    echo $msg;
  }

  $sql = "SELECT setting_name, setting_value
          FROM ".SETTINGS_TABLE;
  $result = $site_db->query($sql);
  $config = array();
  while ($row = $site_db->fetch_array($result)) {
    $config[$row['setting_name']] = $row['setting_value'];
  }

  show_form_header("ann_settings.php", "updatesettings");
  show_table_header($lang['nav_ann_settings']."&nbsp;&nbsp;&nbsp;[ ".strtoupper($config['convert_tool'])." ".($lang['nav_ann_current_conv_tool'])." ]", 2);
  show_setting_row("annotation_use", "radio");
  show_setting_row("annotation_mode", "show_annotation_mode_select");
if ($config['annotation_mode'] != "image") {
  show_setting_row("annotation_use_shadow", "radio");
}
if ($config['annotation_mode'] != "text") {
  show_setting_row("annotation_embed_image");
  show_setting_row("annotation_embed_image_opacity");
if ($config['convert_tool'] != "im") {
  show_setting_row("annotation_embed_image_bg");
 }
}
if ($config['annotation_mode'] != "image") {
  show_setting_row("annotation_text");
  show_setting_row("annotation_font");
if ($config['convert_tool'] != "netpbm") {
  show_setting_row("annotation_font_size");
}
  show_setting_row("annotation_fill_color");
if ($config['convert_tool'] != "im") {
  show_setting_row("annotation_fill_alpha", "show_annotation_fill_alpha_select");
}
if ($config['annotation_use_shadow']) {
  show_setting_row("annotation_shadow_color");
}
if ($config['annotation_use_shadow'] && $config['convert_tool'] != "im") {
  show_setting_row("annotation_shadow_alpha", "show_annotation_shadow_alpha_select");
if ($config['convert_tool'] != "im") {
  show_setting_row("annotation_shadow_offset");
}
}
}
  show_setting_row("annotation_image_quality");
  show_setting_row("annotation_v_alignment", "show_annotation_v_positioning_select");
  show_setting_row("annotation_h_alignment", "show_annotation_h_positioning_select");
  show_setting_row("annotation_top_offset");
  show_setting_row("annotation_bottom_offset");
  show_setting_row("annotation_left_offset");
  show_setting_row("annotation_right_offset");
  show_form_footer($lang['save_changes'], "", 2);
}
show_admin_footer();
?>
